# Uses of Interface
org.opensaml.xacml.policy.ResourceMatchType

Packages that use ResourceMatchType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ResourceMatchType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type ResourceMatchType
Modifier and Type
Method
Description
`List<ResourceMatchType>`
ResourceType.`getResourceMatches()`
Gets the resource matches for this action.

## Uses of ResourceMatchType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ResourceMatchType
Modifier and Type
Class
Description
`class`
`ResourceMatchTypeImpl`
Concrete implementation of `ResourceMatchType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type ResourceMatchType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ResourceMatchType>`
ResourceTypeImpl.`resourceMatch`
List of resource matches.
Methods in org.opensaml.xacml.policy.impl that return ResourceMatchType
Modifier and Type
Method
Description
`ResourceMatchType`
ResourceMatchTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResourceMatchType`
ResourceMatchTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type ResourceMatchType
Modifier and Type
Method
Description
`List<ResourceMatchType>`
ResourceTypeImpl.`getResourceMatches()`
Gets the resource matches for this action.